Bug 249948 - Artifacts in TV mode of ATI Radeon AIW 7200
Artifacts in TV mode of ATI Radeon AIW 7200
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-28 08:13 EDT by Joachim Frieben
Modified: 2009-01-09 02:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:11:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.0.log for loaded Gatos modules (62.66 KB, text/plain)
2007-07-28 08:13 EDT, Joachim Frieben
no flags Details
Sample screeshot showing artifacts (284.85 KB, image/png)
2007-07-28 08:15 EDT, Joachim Frieben
no flags Details

  None (edit)
Description Joachim Frieben 2007-07-28 08:13:08 EDT
Description of problem:
When using 'aaview' in conjunction with an 'ATI Radeon AIW 7200' card,
fragments of a grey horizontal stripe appear on the desktop outside the
viewing window. They can be wiped out by moving a window around but
they actually only appear when such other window is present. Moreover,
similar artifacts appear in the aaview window when the mouse pointer
is located on top of it. Seems to be a problem with the overlay function
of the 'radeon' driver.

Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.6.3-4.fc8

How reproducible:
Always

Steps to Reproduce:
1. Login to 'GNOME' session.
2. Launch 'aaview'.

Actual results:
TV session is up and running but artifacts appear when other windows
are present and/or moved around.

Expected results:
No artifacts appear.

Additional info:
The following lines appear in /var/log/dmesg when the multimedia modules
from gatos.sf.net are loaded:

 Kmultimedia API module version alpha-6.0 loaded
 Kmultimedia module version alpha-6.0 loaded
 Page size is 4096 sizeof(bm_list_descriptor)=16 sizeof(KM_STRUCT)=860
 km: probing 0000:00:0b.0
 km: using irq 11
 Register aperture is 0xffb00000 0x00000000
 kms variables: reg_aperture=0xe1680000
 km: DMA_GUI_STATUS=0x00000002 entries=2
 sizeof(kmfl_template)=780 sizeof(KM_FIELD)=52
 Device 0000:00:0b.0 (0x1002:0x5144) corresponds to /dev/video0
 kms variables: reg_aperture=e1680000
 Processing "VIDEO_STREAM_ACTIVE"="1" int_value=1
 Purging transfer queue
 WARNING !   Radeon memory controller is misconfigured, disabling capture
 WARNING !   upgrade your Xserver and DRM driver
Comment 1 Joachim Frieben 2007-07-28 08:13:09 EDT
Created attachment 160158 [details]
Xorg.0.log for loaded Gatos modules
Comment 2 Joachim Frieben 2007-07-28 08:15:29 EDT
Created attachment 160159 [details]
Sample screeshot showing artifacts
Comment 3 Bug Zapper 2008-04-04 09:28:34 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
rawhide.
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 4 Bug Zapper 2008-11-26 02:36:51 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 02:11:19 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.